Subject: bug#42562: Problem with rendering Persian text still exists in minibuffer and dired

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jul 2020 08:13:47 +0300

> From: Sineau Gh <[email-masked]>
> Date: Fri, 31 Jul 2020 00:35:13 +0430
> Cc: [email-masked]
> 
> Here's some more info I have gathered. If I haven't set the default font in my config file, `M-x set-frame-font`
> only works if there's already an open buffer in the frame. And if I visit a new file, the ligatures are rendered
> broken again, although the font is the same. So I have to change the font again.

If the problem comes and goes as you change fonts, then the problem is
not with Emacs, it is with the fonts you are using: they should
support Arabic shaping.  Emacs by default chooses suitable fonts for
the Arabic script, but if you force Emacs to use certain font, you can
disrupt the automatic font selection algorithm and choose a font that
doesn't support Arabic shaping.

The problems reported earlier existed with any font, and didn't
disappear when a font was changed.